BLKTR1(3)

SYNOPSIS
SUBROUTINE BLKTR1 (N, AN, BN, CN, M, AM, BM, CM, IDIMY, Y, B, W1, + W2, W3, WD, WW, WU, PRDCT, CPRDCT)

NAME
blktr1 - Subsidiary to BLKTRI

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (BLKTR1-S, CBLKT1-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
BLKTR1 solves the linear system set up by BLKTRI. B contains the roots of all the B polynomials. W1,W2,W3,WD,WW,WU are all working arrays. PRDCT is either PRODP or PROD depending on whether the boundary conditions in the M direction are periodic or not. CPRDCT is either CPRODP or CPROD which are the complex versions of PRODP and PROD. These are called in the event that some of the roots of the B sub P polynomial are complex.

SEE ALSO
BLKTRI

ROUTINES CALLED
INDXA, INDXB, INDXC

COMMON BLOCKS
CBLKT

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)